//******************************************************************************
// FILE:       	macros.h
//              
// AUTHOR:     	CC Cox
//              
// PROJECT:    	SynchroChron
//              
// DESCRIPTION:	Common macro definitions
//
// HISTORY:
//		$Log: macros.h,v $
//		Revision 1.2  2006-01-26 16:32:55-05  chuck
//		Release candidate
//
//		Revision 1.1 2006-01-13 chuck
//		Code review changes
//
//		Revision 1.0 2003-02-11 chuck
//		Initial revision
//
// Copyright (c) 2006 SynchroSystems Inc
// Use subject to terms of License Agreement at http://synchro.com/policies.html
//******************************************************************************

#ifndef __MACROS_H
#define __MACROS_H

//******************************************************************************
// PUBLIC DECLARATIONS
//******************************************************************************

//------------------------------------------------------------------------------
// macros
//------------------------------------------------------------------------------
// bit macros
// not for use with write-only registers
#define BITTST(byte, mask) 	((BOOL)(((byte) & (mask)) != 0))	// bit test
#define BITSET(byte, mask) 	((byte) |= (mask))					// bit set
#define BITCLR(byte, mask) 	((byte) &= ~(mask))					// bit clear
#define BITINV(byte, mask) 	((byte) ^= (mask))					// bit invert

#endif	// __MACROS_H
