//******************************************************************************
// FILE:       	msp430.h
//             
// AUTHOR:     	CC Cox
//             
// PROJECT:    	SynchroChron
//             
// DESCRIPTION:	MSP430-specific definitions
//
// HISTORY:
//		$Log: msp430.h,v $
//		Revision 1.2  2006-01-26 16:32:55-05  chuck
//		Release candidate
//
//		Revision 1.1 2006-01-13 chuck
//		Code review changes
//
//		Revision 1.0 2005-11-02 chuck
//		Initial revision
//
// Copyright (c) 2006 SynchroSystems Inc
// Use subject to terms of License Agreement at http://synchro.com/policies.html
//******************************************************************************

#ifndef __MSP430_H
#define __MSP430_H

//------------------------------------------------------------------------------
// include files
//------------------------------------------------------------------------------
#if __IMAGECRAFT__
#include "icc430.h"								// Imagecraft ICC430
#elif __GNUC__
#include "mspgcc.h"								// GNU MSPGCC
#endif

//******************************************************************************
// PUBLIC DECLARATIONS
//******************************************************************************

//------------------------------------------------------------------------------
// macros
//------------------------------------------------------------------------------
#define LO_PWR		LPM3						// low power mode: all clocks off except ACLK
#define HALT()		for (;;) LO_PWR				// halt program

//------------------------------------------------------------------------------
// data types
//------------------------------------------------------------------------------
typedef enum {FALSE = 0, TRUE}	BOOL;			// boolean
typedef unsigned char			UINT8;			// 8 bit unsigned integer
typedef signed char				INT8;			// 8 bit signed integer
typedef unsigned short			UINT16;			// 16 bit unsigned integer
typedef signed short 			INT16;			// 16 bit signed integer
typedef unsigned long			UINT32;			// 32 bit unsigned integer
typedef signed long				INT32;			// 32 bit signed integer

#endif	// __MSP430_H
